Subject: bug#72298: closed (Re: bug#72298: Should python-mode-abbrev-table declare :parents python-base-mode-abbrev-table?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 31 Aug 2024 09:45:02 +0000

Your bug report

#72298: Should python-mode-abbrev-table declare :parents python-base-mode-abbrev-table?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72298: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72298
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72298: Should python-mode-abbrev-table declare :parents python-base-mode-abbrev-table?
From: Eli Zaretskii <[email-masked]>
To: kobarity <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 31 Aug 2024 12:43:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 25 Aug 2024 09:34:19 +0900
> From: kobarity <[email-masked]>
> Cc: [email-masked]
> 
> Ship Mints wrote:
> > Thank you. Will save confusion for people.
> 
> Thank you for your confirmation.
> 
> I forgot to include the bug ID in the commit message for the previous
> patch, so I am attaching a revised version.  The patch itself has not
> been changed.

Thanks, installed on the emacs-30 branch, and closing the bug.

Subject: Should python-mode-abbrev-table declare :parents python-base-mode-abbrev-table?
From: Ship Mints <[email-masked]>
To: [email-masked]
Date: Thu, 25 Jul 2024 14:13:44 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I was expecting that python-base-mode-abbrev-table would apply to both
python-mode and python-ts-mode buffers. python-ts-mode doesn't derive from
python-mode so the abbrev tables aren't shared by default. Unless I'm
missing something, using a base table doesn't work for me.

(define-abbrev-table 'python-mode-abbrev-table ()
  "Abbrev table for Python mode."
;; should this:
  :parents (list python-mode-skeleton-abbrev-table))
;; be defined thusly?
  :parents (list python-base-mode-abbrev-table
python-mode-skeleton-abbrev-table))

I tried to find guidance on this outside of hacking abbrev tables manually
to be shared. Perhaps other people have the same expectation.

Thank you,

Stephane